create table TEST_PROJECT_SCHEMA.TIME_SNAP(
    ID                  BIGINT IDENTITY NOT NULL,
    COURSE_ID           BIGINT,
    IN_COURSE_ORDER     INT,
    STOP_POINT_ID       BIGINT,
    LINK_START_ID       BIGINT,
    LINK_END_ID         BIGINT,
    DAY_TYPE            VARCHAR2(20 CHAR),
    DATE                DATE,
    SCHEDULED_TIME      TIME,
    SNAP_TIME           TIME,
    PUNCTUALITY         BIGINT,
    SCHEDULED_LINK_TIME BIGINT,
    SNAP_LINK_TIME      BIGINT,
    VERSION             INT
);

alter table  TEST_PROJECT_SCHEMA.TIME_SNAP add FOREIGN KEY (COURSE_ID)
    REFERENCES TEST_PROJECT_SCHEMA.COURSE(ID);

alter table  TEST_PROJECT_SCHEMA.TIME_SNAP add FOREIGN KEY (STOP_POINT_ID)
    REFERENCES TEST_PROJECT_SCHEMA.STOP_POINT(ID);

alter table  TEST_PROJECT_SCHEMA.TIME_SNAP add FOREIGN KEY (LINK_START_ID)
    REFERENCES TEST_PROJECT_SCHEMA.LINK(START_ID);

alter table  TEST_PROJECT_SCHEMA.TIME_SNAP add FOREIGN KEY (LINK_END_ID)
    REFERENCES TEST_PROJECT_SCHEMA.LINK(END_ID);